backend:
  name: git-gateway
  branch: main

local_backend: true

media_folder: 'public/uploads'
public_folder: '/uploads'

locale: 'it'

editor:
  preview: false

collections:
  - name: 'prenotazioni'
    label: 'Prenotazioni'
    files:
      - name: 'booking_availability_exp1'
        label: 'Experience - Dentro le Mura'
        file: 'src/data/prenotazioni-exp1.json'
        format: 'json'
        fields:
          - label: 'Date e orari non disponibili'
            name: 'unavailableDates'
            widget: 'list'
            summary: '{{fields.date}}'
            fields:
              - label: 'Data'
                name: 'date'
                widget: 'datetime'
                date_format: 'YYYY-MM-DD'
                time_format: false
                picker_utc: true
              - label: 'Orari non disponibili'
                name: 'times'
                widget: 'select'
                multiple: true
                required: false
                hint: 'Se lasci vuoto, tutta la data non sara disponibile.'
                options:
                  - '11:00'
                  - '12:00'
                  - '13:00'
                  - '14:00'
                  - '15:00'
                  - '16:00'

      - name: 'booking_availability_exp2'
        label: 'Experience - Un viaggio nel tempo + esperienza di gusto'
        file: 'src/data/prenotazioni-exp2.json'
        format: 'json'
        fields:
          - label: 'Date e orari non disponibili'
            name: 'unavailableDates'
            widget: 'list'
            summary: '{{fields.date}}'
            fields:
              - label: 'Data'
                name: 'date'
                widget: 'datetime'
                date_format: 'YYYY-MM-DD'
                time_format: false
                picker_utc: true
              - label: 'Orari non disponibili'
                name: 'times'
                widget: 'select'
                multiple: true
                required: false
                hint: 'Se lasci vuoto, tutta la data non sara disponibile.'
                options:
                  - '10:30'
                  - '13:30'

      - name: 'market_days'
        label: 'Market Days'
        file: 'src/data/prenotazioni-market-days.json'
        format: 'json'
        fields:
          - label: 'Date disponibili'
            name: 'dates'
            widget: 'list'
            summary: '{{fields.date}} | indoor: {{fields.indoor}} | outdoor: {{fields.outdoor}}'
            fields:
              - label: 'Data'
                name: 'date'
                widget: 'datetime'
                date_format: 'YYYY-MM-DD'
                time_format: false
                picker_utc: true
              - label: 'Indoor disponibile'
                name: 'indoor'
                widget: 'boolean'
                default: true
              - label: 'Outdoor disponibile'
                name: 'outdoor'
                widget: 'boolean'
                default: true
